Bug 1706274 - Error on accessing red hat subscription, red hat repository and module stream page
Summary: Error on accessing red hat subscription, red hat repository and module stream...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Evgeni Golov
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1707293 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-04 01:46 UTC by Nikhil Kathole
Modified: 2019-10-22 12:47 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.rc1-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Nikhil Kathole 2019-05-04 01:46:01 UTC
Description of problem:
Error on accessing red hat subscription, red hat repository and module stream page

bootstrap c91985caf1878f906283:54 Uncaught TypeError: Cannot read property 'call' of undefined
    at a (bootstrap c91985caf1878f906283:54)
    at Object.node_modules/history/esm/history.js (katello-1ae0d37a36a5e0e7b201.js:25)
    at a (bootstrap c91985caf1878f906283:54)
    at Object.node_modules/react-router-dom/es/index.js (katello-1ae0d37a36a5e0e7b201.js:29)
    at a (bootstrap c91985caf1878f906283:54)
    at Object.../../../../../BUILDROOT/tfm-rubygem-katello-3.12.0.rc1-11.master.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.12.0.rc1/webpack/containers/Application/index.js (katello-1ae0d37a36a5e0e7b201.js:1)
    at a (bootstrap c91985caf1878f906283:54)
    at Object.../../../../../BUILDROOT/tfm-rubygem-katello-3.12.0.rc1-11.master.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.12.0.rc1/webpack/index.js (katello-1ae0d37a36a5e0e7b201.js:1)
    at a (bootstrap c91985caf1878f906283:54)
    at window.webpackJsonp (bootstrap c91985caf1878f906283:25)
a @ bootstrap c91985caf1878f906283:54
node_modules/history/esm/history.js @ katello-1ae0d37a36a5e0e7b201.js:25
a @ bootstrap c91985caf1878f906283:54
node_modules/react-router-dom/es/index.js @ katello-1ae0d37a36a5e0e7b201.js:29
a @ bootstrap c91985caf1878f906283:54
../../../../../BUILDROOT/tfm-rubygem-katello-3.12.0.rc1-11.master.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.12.0.rc1/webpack/containers/Application/index.js @ katello-1ae0d37a36a5e0e7b201.js:1
a @ bootstrap c91985caf1878f906283:54
../../../../../BUILDROOT/tfm-rubygem-katello-3.12.0.rc1-11.master.el7sat.noarch/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.12.0.rc1/webpack/index.js @ katello-1ae0d37a36a5e0e7b201.js:1
a @ bootstrap c91985caf1878f906283:54
window.webpackJsonp @ bootstrap c91985caf1878f906283:25
(anonymous) @ katello-1ae0d37a36a5e0e7b201.js:1

componentRegistry.js:56 Uncaught Error: Component not found: katello among SearchBar, AutoComplete, DonutChart, StatisticsChartsList, PowerStatus, NotificationContainer, ToastNotifications, StorageContainer, PasswordStrength, BreadcrumbBar, FactChart, Pagination, Layout, EmptyState, BarChart, ChartBox, ComponentWrapper, ConfigReports, DiffModal, TemplateInput, RelativeDateTime, LongDateTime, ShortDateTime, IsoDate, DateTime, ModelsTable, AuditsPage, TemplateGenerator
    at Object.getComponent (componentRegistry.js:56)
    at Object.markup (componentRegistry.js:90)
    at Object.t.mount (MountingService.js:27)
    at subscriptions:175



Version-Release number of selected component (if applicable):
Satellite 6.6.0 snap 1


How reproducible: always


Steps to Reproduce:
1. Install 6.6
2. Navigate to Red Hat Subscriptions/ Red Hat Repositories page/ Module streams page

Actual results:

Blank page and console error.


Expected results:
Page should load Successfully.

Additional info: Regression.

Comment 4 Evgeni Golov 2019-05-07 08:42:36 UTC
*** Bug 1707293 has been marked as a duplicate of this bug. ***

Comment 5 Nikhil Kathole 2019-05-29 02:05:33 UTC
VERIFIED

Version tested:
Satellite 6.6 snap 4

Red Hat Subscriptions/ Red Hat Repositories page/ Module streams page loads successfully.

Comment 7 errata-xmlrpc 2019-10-22 12:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.